---
updatedAt: 2026-06-26T11:05:09.000Z
agentTools:
  projectIndex: https://developers.miro.com/llms.txt
---

# Get mind map nodes

Retrieves a list of mind map nodes for a specific board.

This method returns results using a cursor-based approach. A cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, on your next call to the same method, set the `cursor` parameter equal to the `cursor` value you received in the response of the previous request. For example, if you set the `limit` query parameter to `10` and the board contains 20 objects, the first call will return information about the first 10 objects in the response along with a cursor parameter and value. In this example, let's say the cursor parameter value returned in the response is `foo`. If you want to retrieve the next set of objects, on your next call to the same method, set the cursor parameter value to `foo`.<br/><h3>Required scope</h3> <a target="blank" href="/reference/scopes">boards:read</a> <br/><h3>Rate limiting</h3> <a target="blank" href="/reference/rate-limiting#rate-limit-tiers">Level 2</a><br/>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Platform Experimental Features",
    "version": "v2.0"
  },
  "x-settings": {
    "skip-tests": true,
    "publish": true
  },
  "servers": [
    {
      "url": "https://api.miro.com"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/v2-experimental/boards/{board_id}/mindmap_nodes": {
      "parameters": [
        {
          "schema": {
            "type": "string"
          },
          "name": "board_id",
          "in": "path",
          "required": true,
          "description": "Unique identifier (ID) of the board from which you want to retrieve mind map nodes."
        }
      ],
      "get": {
        "summary": "Get mind map nodes",
        "tags": [
          "Mind map nodes (experimental)"
        ],
        "responses": {
          "200": {
            "description": "Mind map nodes retrieved",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MindmapCursorPaged"
                }
              }
            }
          }
        },
        "operationId": "get-mindmap-nodes-experimental",
        "description": "Retrieves a list of mind map nodes for a specific board.\n\nThis method returns results using a cursor-based approach. A cursor-paginated method returns a portion of the total set of results based on the limit specified and a cursor that points to the next portion of the results. To retrieve the next portion of the collection, on your next call to the same method, set the `cursor` parameter equal to the `cursor` value you received in the response of the previous request. For example, if you set the `limit` query parameter to `10` and the board contains 20 objects, the first call will return information about the first 10 objects in the response along with a cursor parameter and value. In this example, let's say the cursor parameter value returned in the response is `foo`. If you want to retrieve the next set of objects, on your next call to the same method, set the cursor parameter value to `foo`.<br/><h3>Required scope</h3> <a target=\"blank\" href=\"/reference/scopes\">boards:read</a> <br/><h3>Rate limiting</h3> <a target=\"blank\" href=\"/reference/rate-limiting#rate-limit-tiers\">Level 2</a><br/>",
        "parameters": [
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "limit",
            "description": "Maximum number of results returned"
          },
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "cursor",
            "description": "Points to the next portion of the results set"
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "MindmapData": {
        "type": "object",
        "description": "Contains mind map node data, such as `nodeView` or `isRoot`.",
        "properties": {
          "nodeView": {
            "$ref": "#/components/schemas/MindmapNodeView"
          },
          "isRoot": {
            "type": "boolean",
            "description": "Indicates whether this node is the root of the mind map."
          },
          "direction": {
            "type": "string",
            "description": "Indicates where this node is positioned relative to the root node. `start` indicates that this node must be positioned at the start of the root node, which is either the left or top of the root node. `end` indicates that this node must be positioned at the emd of the root node, which is either the right or bottom of the root node.",
            "enum": [
              "start",
              "end"
            ]
          }
        }
      },
      "MindmapNodeView": {
        "type": "object",
        "description": "Contains the information about the mind map node.",
        "properties": {
          "type": {
            "type": "string",
            "description": "Type of item used as mind map node. Currently, `type` can only be equal to `text`.",
            "example": "text"
          },
          "data": {
            "$ref": "#/components/schemas/MindmapWidgetDataOutput"
          },
          "style": {
            "$ref": "#/components/schemas/MindmapNodeStyle"
          }
        }
      },
      "MindmapItem": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier (ID) of an item.",
            "example": "3074457362577955300"
          },
          "data": {
            "$ref": "#/components/schemas/MindmapData"
          },
          "createdAt": {
            "type": "string",
            "format": "date-time",
            "description": "Date and time when the item was created. <br>Format: UTC, adheres to [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601), includes a [trailing Z offset](https://en.wikipedia.org/wiki/ISO_8601#Coordinated_Universal_Time_(UTC))."
          },
          "createdBy": {
            "$ref": "#/components/schemas/CreatedBy"
          },
          "modifiedAt": {
            "type": "string",
            "format": "date-time",
            "description": "Date and time when the item was last modified. <br>Format: UTC, adheres to [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601), includes a [trailing Z offset](https://en.wikipedia.org/wiki/ISO_8601#Coordinated_Universal_Time_(UTC))."
          },
          "modifiedBy": {
            "$ref": "#/components/schemas/ModifiedBy"
          },
          "parent": {
            "$ref": "#/components/schemas/ParentLinksEnvelope"
          },
          "links": {
            "$ref": "#/components/schemas/WidgetLinks"
          },
          "type": {
            "type": "string",
            "description": "Type of item that is returned."
          },
          "style": {
            "$ref": "#/components/schemas/MindmapStyle"
          }
        },
        "required": [
          "id",
          "type"
        ]
      },
      "MindmapCursorPaged": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "description": "Contains the result data.",
            "items": {
              "$ref": "#/components/schemas/MindmapItem"
            }
          },
          "total": {
            "type": "integer",
            "format": "int64",
            "description": "Total number of results available. If the value of the `total` parameter is higher than the value of the `size` parameter, this means that there are more results that you can retrieve. To retrieve more results, you can make another request and set the `offset` value accordingly. For example, if there are `30` results, and the request has the `offset` set to `0` and the `limit` set to `20`, the `size` parameter will return `20` and the `total` parameter will return `30`. This means that there are 9 more results to retrieve (as the offset is zero-based)."
          },
          "size": {
            "type": "integer",
            "format": "int32",
            "description": "Number of results returned in the response considering the `cursor` and the `limit` values sent in the request. For example, if there are `20` results, the request does not have a `cursor` value, and the `limit` set to `10`, the `size` of the results will be `10`.<br>In this example, the response will also return a cursor value that can be used to retrieve the next set of 10 remaining results in the collection.'"
          },
          "cursor": {
            "type": "string",
            "description": "A cursor-paginated method returns a portion of the total set of results based on the `limit` specified and a `cursor` that points to the next portion of the results. To retrieve the next set of results of the collection, set the `cursor` parameter in your next request to the value returned in this parameter.'"
          },
          "limit": {
            "type": "integer",
            "format": "int32",
            "description": "Maximum number of results returned based on the `limit` specified in the request. For example, if there are `20` results, the request has no `cursor` value, and the `limit` is set to `20`,the `size` of the results will be `20`. The rest of the results will not be returned. To retrieve the rest of the results, you must make another request and set the appropriate value for the `cursor` parameter value that you obtained from the response.'"
          },
          "links": {
            "$ref": "#/components/schemas/PageLinks"
          }
        }
      },
      "CreatedBy": {
        "type": "object",
        "description": "Contains information about the user who created the item.",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier (ID) of the user.",
            "example": "3458764517517852417"
          },
          "type": {
            "type": "string",
            "description": "Indicates the type of object returned. In this case, `type` returns `user`.",
            "example": "user"
          }
        }
      },
      "ModifiedBy": {
        "type": "object",
        "description": "Contains information about the user who last modified the item.",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier (ID) of the user.",
            "example": "3458764517517852417"
          },
          "type": {
            "type": "string",
            "description": "Indicates the type of object returned. In this case, `type` returns `user`.",
            "example": "user"
          }
        }
      },
      "PageLinks": {
        "type": "object",
        "description": "Contains pagination links for the collection.",
        "properties": {
          "first": {
            "type": "string",
            "description": "Link to retrieve information in the first page of the collection.",
            "example": "http://api.miro.com/v2/boards/o9J_lJWSHdg=/items?limit=10&cursor=MzQ1ODc2NaSDN&#RDMDA3MzYyOX=="
          },
          "last": {
            "type": "string",
            "description": "Link to the retrieve information in the last page of the collection.",
            "example": "http://api.miro.com/v2/boards/o9J_lJWSHdg=/items?limit=10&cursor=MzQ1ODc2NDUyNDUyMDA3MzYyOX=="
          },
          "next": {
            "type": "string",
            "description": "Link to retrieve information in the next page of the collection.",
            "example": "http://api.miro.com/v2/boards/o9J_lJWSHdg=/items?limit=10&cursor=MzQ1ODc2NDUyNDsdgsFEwfFJCw=="
          },
          "prev": {
            "type": "string",
            "description": "Link to retrieve information in the previous page of the collection.",
            "example": "http://api.miro.com/v2/boards/o9J_lJWSHdg=/items?limit=10&cursor="
          },
          "self": {
            "type": "string",
            "description": "Link to retrieve information in the current page of the collection.",
            "example": "http://api.miro.com/v2/boards/o9J_lJWSHdg=/items?limit=10&cursor=MzQ1OD1245643FWUyMDA3MzYyOX=="
          }
        }
      },
      "MindmapWidgetDataOutput": {
        "oneOf": [
          {
            "$ref": "#/components/schemas/TextData"
          }
        ],
        "description": "Contains the mind map node data, such as the item title, content, or description."
      },
      "TextData": {
        "type": "object",
        "description": "Contains text item data",
        "properties": {
          "content": {
            "type": "string",
            "description": "The actual text (content) that appears in the text item.",
            "example": "Sample text"
          }
        }
      },
      "ParentLinksEnvelope": {
        "type": "object",
        "description": "Contains information about the parent for the item.",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier (ID) of the parent for the item.",
            "example": "3074457362577955300"
          },
          "links": {
            "$ref": "#/components/schemas/SelfLink"
          }
        }
      },
      "SelfLink": {
        "type": "object",
        "description": "Contains applicable links for the current object.",
        "properties": {
          "self": {
            "type": "string",
            "description": "Link to obtain more information about the current object.",
            "example": "http://api.miro.com/v2/boards/o9J_koQspF4=/object_type/3074457349143649487"
          }
        }
      },
      "WidgetLinks": {
        "type": "object",
        "description": "Contains applicable links for the item.",
        "properties": {
          "related": {
            "type": "string",
            "description": "Link to obtain information about the child items related to the frame.",
            "example": "http://api.miro.com/v2/boards/o9J_koQspF4=/items?parent_item_id=307445734914369434&limit=10&cursor="
          },
          "self": {
            "type": "string",
            "description": "Link to obtain information about the current item.",
            "example": "http://api.miro.com/v2/boards/o9J_koQspF4=/item/3074457349143649487"
          }
        }
      },
      "MindmapNodeStyle": {
        "type": "object",
        "description": "Contains information about the node style, such as the node color or fillOpacity.",
        "properties": {
          "color": {
            "type": "string",
            "description": "Hex value representing the color for the text within the node.",
            "example": "#1a1a1a"
          },
          "fillOpacity": {
            "type": "string",
            "description": "It sets the opacity level of the background fill color.\n\nAllowed values: any number between 0.0 and 1.0 included.\n\nIf the value is 0.0, the background fill color is completely transparent or invisible.\nIf the value is 1.0, the background fill color is completely opaque or solid.\nDefault: 0 (transparent)"
          },
          "fontSize": {
            "type": "string",
            "description": "Defines the font size, in dp, for the text on the node.\nDefault: `14`.",
            "maximum": 288,
            "minimum": 10
          }
        }
      },
      "MindmapStyle": {
        "type": "object",
        "description": "Contains information about the node style, such as the widget's border color or shape type.",
        "properties": {
          "nodeColor": {
            "type": "string",
            "description": "Hex value representing the color of the widget's border.",
            "example": "#1a1a1a"
          },
          "shape": {
            "type": "string",
            "description": "Shape type of the widget.",
            "enum": [
              "pill",
              "rectangle",
              "rounded_rectangle",
              "none"
            ]
          },
          "fontSize": {
            "type": "string",
            "description": "The same font size as in MindmapNodeStyle.",
            "maximum": 288,
            "minimum": 10
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  }
}
```

# Sibling pages

* [Get specific mind map node](https://developers.miro.com/miro-ea/reference/get-mindmap-node-experimental.md)
* [Delete mind map node](https://developers.miro.com/miro-ea/reference/delete-mindmap-node-experimental.md)
* [Create mind map node](https://developers.miro.com/miro-ea/reference/create-mindmap-nodes-experimental.md)